package com.mx.dla.dda.contrato.fees.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesContratoPagoDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private Long    idContratoPago;
	private Long    idContrato;
	private Long    idSuscriptor;		
	private String  fechaInicio;
	private String  fechaFin;
	private String  tipoAnio;
	private String  operacion;		
	private String  tipoPago;
	private Boolean eliminarBono;
	private Integer anioContrato;
	
	private Integer maxRangos;
	private Integer maxAnios;
	
	private List<FeesPagoCostoDTO> categorias;
	private List<FeesPagoFlat>     flats;	
	
	public FeesContratoPagoDTO (){}
	
	public FeesContratoPagoDTO (Long idContratoPago, Long idContrato, Long idSuscriptor, 	
			                    String fechaInicio,  String fechaFin,  String tipoAnio, String tipoPago, String operacion, 
			                    List<FeesPagoCostoDTO> categorias, List<FeesPagoFlat> flats){
		this.idContratoPago = idContratoPago;
		this.idContrato     = idContrato;
		this.idSuscriptor   = idSuscriptor;		
		this.fechaInicio    = fechaInicio;
		this.fechaFin       = fechaFin;
		this.tipoAnio       = tipoAnio;
		this.tipoPago       = tipoPago;
		this.operacion      = operacion;
		this.categorias     = categorias;
		this.flats          = flats;		
	}
		
	public Long getIdContratoPago() {
		return idContratoPago;
	}
	public void setIdContratoPago(Long idContratoPago) {
		this.idContratoPago = idContratoPago;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Long getIdSuscriptor() {
		return idSuscriptor;
	}
	public void setIdSuscriptor(Long idSuscriptor) {
		this.idSuscriptor = idSuscriptor;
	}	
	public String getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public String getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(String fechaFin) {
		this.fechaFin = fechaFin;
	}
	public String getTipoAnio() {
		return tipoAnio;
	}
	public void setTipoAnio(String tipoAnio) {
		this.tipoAnio = tipoAnio;
	}
	public String getTipoPago() {
		return tipoPago;
	}
	public void setTipoPago(String tipoPago) {
		this.tipoPago = tipoPago;
	}
	public List<FeesPagoCostoDTO> getCategorias() {
		return categorias;
	}
	public void setCategorias(List<FeesPagoCostoDTO> categorias) {
		this.categorias = categorias;
	}
	public List<FeesPagoFlat> getFlats() {
		return flats;
	}
	public void setFlats(List<FeesPagoFlat> flats) {
		this.flats = flats;
	}
	public String getOperacion() {
		return operacion;
	}
	public void setOperacion(String operacion) {
		this.operacion = operacion;
	}
	public Integer getMaxRangos() {
		return maxRangos;
	}
	public void setMaxRangos(Integer maxRangos) {
		this.maxRangos = maxRangos;
	}
	public Integer getMaxAnios() {
		return maxAnios;
	}
	public void setMaxAnios(Integer maxAnios) {
		this.maxAnios = maxAnios;
	}
	public Boolean getEliminarBono() {
		return eliminarBono;
	}
	public void setEliminarBono(Boolean eliminarBono) {
		this.eliminarBono = eliminarBono;
	}
	public Integer getAnioContrato() {
		return anioContrato;
	}
	public void setAnioContrato(Integer anioContrato) {
		this.anioContrato = anioContrato;
	}	
}
